function [T] = do_sweep_mult(h, N);

% Set the number of points in the sweep
vi_write(h, sprintf('SENS1:SWE:COUN %d\n', N));

% Query how long the sweep will take
Ts = vi_query(h, 'SWE:TIME?');
Tsw = sscanf(Ts, '%e', 1);
T = Tsw*N;

% Start it
vi_write(h, sprintf('INIT:IMM\n'));


