function [S] = get_sweep_mult(h);

Ns = vi_query(h, 'SENS1:SWE:COUN?');
M = sscanf(Ns, '%d', 1);
Np = vi_query(h, 'SENS1:SWE:POIN?');
N = sscanf(Np, '%d', 1);
vi_write(h, sprintf('FORM ASC\n'));

S = zeros(N, M);
for m=1:M,
  if (M==1),
     d_raw = vi_query(h, sprintf(':CALCULATE1:DATA:TRAC? ''Trc1'', SDATA'));
   else  
     d_raw = vi_query(h, sprintf(':CALCULATE1:DATA:NSWeep? SDATA,%d', M-m+1));
   end
   d1 = sscanf(d_raw, '%e,', inf);
   S(:,m) = d1(1:2:end) + j*d1(2:2:end);
end

