function [S] = A_to_S(A_, Z0);

  % [S] = A_to_S(A, Z0);
  %
  % Convert A matrix to S-parameters.

  A = A_.A;
  B = A_.B;
  C = A_.C;
  D = A_.D;
  
  S.S11 = (A + B/Z0 - C*Z0 - D)./(A + B/Z0 + C*Z0 + D);
  S.S12 = 2*(A.*D - B.*C)./(A + B/Z0 + C*Z0 + D);
  S.S21 = 2./(A + B/Z0 + C*Z0 + D);
  S.S22 = (-A + B/Z0 - C*Z0 + D)./(A + B/Z0 + C*Z0 + D);
  
  
  
