function [hh] = kaiser_win(df, t0, delta_w1, delta_w2, delta_tr, dev_pass_dB, dev_stop_dB);

fsamp = 1/df;
fcuts = [-(delta_tr+delta_w1) -delta_w1 delta_w2 (delta_w2+delta_tr)]+t0;
mags = [0 1 0];
dev_pass_dB = 0.1;
dev_stop_dB = -20;
devs = [10^(dev_stop_dB/10) (10^(dev_pass_dB/10)-1) 10^(dev_stop_dB/10)];
[n Wn beta ftype] = kaiserord(fcuts, mags, devs, fsamp);
n = n + rem(n,2);
hh = fir1(n, Wn, ftype, kaiser(n+1,beta),'noscale');
N = 2^ceil(log2(2*n));

%[H f1] = freqz(hh,1,N,fsamp);
%plot(f1, 20*log10(abs(H)));

