function [S, f] = get_sweep(h);

  % [S, f] = get_sweep(h);

Np = vi_query(h, 'SENS1:SWE:POIN?');
N = sscanf(Np, '%d', 1);


start_f = str2num(vi_query(h, 'SENS:FREQ:STAR?'));
stop_f = str2num(vi_query(h, 'SENS:FREQ:STOP?'));
N_points = str2num(vi_query(h, 'SENS:SWE:POIN?'));

vi_write(h, sprintf('FORM ASC\n'));
S = zeros(N, 1);
d_raw = vi_query(h, sprintf(':CALCULATE1:DATA:TRAC? ''Trc1'', SDATA'));
d1 = sscanf(d_raw, '%e,', inf);
S(:,1) = d1(1:2:end) + j*d1(2:2:end);

f = [0:N_points-1]/(N_points-1)*(stop_f - start_f) + start_f;

