path(path, '~/work.tmp/acquire/visam/mex');

dev_na = 'TCPIP0::169.254.29.2::inst0::INSTR';

% Open VNA and get known state
h = vi_open(dev_na);

id_string = 'Rohde-Schwarz,ZNB40-4Port';
q = vi_query(h, '*IDN?')
if strcmp(q(1:length(id_string)), id_string) == 0,
  error('Instrument is not the ZNB40.');
end

vi_write(h, sprintf('MMEM:LOAD:STAT 1,''C:\\Users\\Public\\Documents\\Rohde-Schwarz\\Vna\\RecallSets\\jon_4_40_chamber.znx''\n'));

