function [A] = S_to_A(S, Z0);

  % [A] = S_to_A(S, Z0);
  %
  % Convert S matrix to ABCD matrix.

  S11 = S.S11;
  S12 = S.S12;
  S21 = S.S21;
  S22 = S.S22;
   
  A.A = ((1+S11).*(1-S22) + S12.*S21)./(2*S21);
  A.B = (Z0*(1+S11).*(1+S22) - S12.*S21)./(2*S21);
  A.C = ((1-S11).*(1-S22) - S12.*S21)./(2*Z0*S21);
  A.D = ((1-S11).*(1+S22) + S12.*S21)./(2*S21);
  
  
