% Plots for APS Presentation.  Run one of the test... first.

figure(1);
set_fontsize(gcf, 18);
grid on;
ylabel('dB');
title('Time Gating');
xlim([2.75 5.5]);
saveas(gcf, 'plot_tg.eps', 'epsc');


figure(2);
set_fontsize(gcf, 18);
grid on;
ylabel('');
title('Fit Real\{T''''(f)\}');
saveas(gcf, 'plot_re.eps', 'epsc');

figure(3);
set_fontsize(gcf, 18);
grid on;
ylabel('');
title('Fit Imag\{T''''(f)\}');
saveas(gcf, 'plot_im.eps', 'epsc');

figure(10);
legend(h([1 2 4]), '\epsilon_r''', '\epsilon_r''''', 'Linear Fit', 'location', fit_multiple_legend_pos);
set_fontsize(gcf, 18);
title('Extracted Permittivity');
saveas(gcf, 'plot_eps.eps', 'epsc');

% Generate plot of EPS without IM{} part
figure(10);
set(h2, 'visible', 'off');
set(h2l, 'visible', 'off');
legend(h([1 3 4]), '\epsilon_r''', 'Resonator', 'Linear Fit', 'location', fit_multiple_legend_pos);
title('');
saveas(gcf, 'plot_eps_re.eps', 'epsc');
